Bug 627735 - SELinux is preventing /sbin/consoletype "execute" access on /sbin/consoletype.
Summary: SELinux is preventing /sbin/consoletype "execute" access on /sbin/consol...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:bc06b008614...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-26 19:23 UTC by Joel
Modified: 2010-09-08 04:31 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.9.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-08 04:31:58 UTC


Attachments (Terms of Use)

Description Joel 2010-08-26 19:23:36 UTC
Summary:

SELinux is preventing /sbin/consoletype "execute" access on /sbin/consoletype.

Detailed Description:

[consoletype has a permissive type (virtd_t). This access was not denied.]

SELinux denied access requested by consoletype. It is not expected that this
access is required by consoletype and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:virtd_t:s0-s0:c0.c1023
Target Context                system_u:object_r:consoletype_exec_t:s0
Target Objects                /sbin/consoletype [ file ]
Source                        consoletype
Source Path                   /sbin/consoletype
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           initscripts-9.17-1.fc14
Target RPM Packages           initscripts-9.17-1.fc14
Policy RPM                    selinux-policy-3.8.8-20.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.35.2-9.fc14.x86_64 #1 SMP Tue Aug
                              17 22:36:15 UTC 2010 x86_64 x86_64
Alert Count                   6
First Seen                    Thu 26 Aug 2010 03:21:05 PM EDT
Last Seen                     Thu 26 Aug 2010 03:21:05 PM EDT
Local ID                      4b4f0f74-31a4-4029-934a-33b4b153df91
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1282850465.949:323): avc:  denied  { execute } for  pid=2594 comm="service" name="consoletype" dev=sda4 ino=2367904 scontext=unconfined_u:system_r:virtd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:consoletype_exec_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1282850465.949:323): avc:  denied  { read open } for  pid=2594 comm="service" name="consoletype" dev=sda4 ino=2367904 scontext=unconfined_u:system_r:virtd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:consoletype_exec_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1282850465.949:323): avc:  denied  { execute_no_trans } for  pid=2594 comm="service" path="/sbin/consoletype" dev=sda4 ino=2367904 scontext=unconfined_u:system_r:virtd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:consoletype_exec_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1282850465.949:323): arch=c000003e syscall=59 success=yes exit=0 a0=12c4f90 a1=12c2320 a2=12ba3d0 a3=1 items=0 ppid=2593 pid=2594 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=1 comm="consoletype" exe="/sbin/consoletype" subj=unconfined_u:system_r:virtd_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,consoletype,virtd_t,consoletype_exec_t,file,execute
audit2allow suggests:

#============= virtd_t ==============
allow virtd_t consoletype_exec_t:file { read execute open execute_no_trans };

Comment 1 Daniel Walsh 2010-08-26 19:34:51 UTC
Fixed in selinux-policy-3.9.0-1.fc14

Comment 2 Fedora Update System 2010-08-30 15:59:24 UTC
selinux-policy-3.9.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.0-2.fc14

Comment 3 Fedora Update System 2010-08-30 19:38:03 UTC
selinux-policy-3.9.0-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/selinux-policy-3.9.0-2.fc14

Comment 4 Fedora Update System 2010-09-08 04:30:14 UTC
selinux-policy-3.9.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.